Subject: [PATCH v7 5/9] ARM: OMAP: USB: Add phy binding information

From: [email-masked] (Kishon Vijay Abraham I)
Date: Tue, 18 Jun 2013 20:25:00 +0530

Hi,

On Tuesday 18 June 2013 06:05 PM, Felipe Balbi wrote:
> Hi,
>
> On Tue, Jun 18, 2013 at 04:43:44PM +0530, Kishon Vijay Abraham I wrote:
>>> On Tue, Jun 18, 2013 at 03:34:36PM +0530, Kishon Vijay Abraham I wrote:
>>>> On Tuesday 18 June 2013 03:14 PM, Felipe Balbi wrote:
>>>>> On Thu, Jun 13, 2013 at 02:13:55PM +0530, Kishon Vijay Abraham I wrote:
>>>>>> In order for controllers to get PHY in case of non dt boot, the phy
>>>>>> binding information (phy device name) should be added in the platform
>>>>>> data of the controller.
>>>>>>
>>>>>> Signed-off-by: Kishon Vijay Abraham I <[email-masked]>
>>>>>
>>>>> I would rather not pass strings around, any other way to handle this ?
>>>>> Why do you need to pass this string ?
>>>>
>>>> Our old way of binding the controller and the phy using device name
>>>> started creating problems after the devices are created using
>>>> PLATFORM_DEVID_AUTO. Infact non-dt boot is broken in mainline for
>>>> OMAP3 platforms for which I have posted a RFC series
>>>> http://www.serverphorums.com/read.php?12,708632 which also uses
>>>> strings.
>>>> I'm not sure of any other way to deal with this.
>>>
>>> have you checked how other frameworks handle it ? Regulator has some
>>> sort of binding in board-files, but I guess it passes the regulator
>>> name?
>>
>>  From whatever I could make of, regulator has 3 ways to get the
>> regulator one of which is using the binding in board-files (but it
>> also uses device name which could create the same problem that we are
>> facing).
>>
>> 1.) from dt data
>> 2.) from _supply_ name
>> 3.) from binding in board file
>>
>> (referred regulator_dev_lookup() in regulator/core.c)
>
> right, spot on. Which means we don't have a better, more elegant
> solution now. Let's go ahead with this.

Ok. So I'll drop RFC and resend this patch series
http://www.serverphorums.com/read.php?12,708632

Thanks
Kishon